<?php
if ( ! function_exists( 'ampforwp_theme_settings' ) ) {
	function ampforwp_theme_settings($sections){
                
		$sections[] = array(
		      'title'      => __( 'Newspaper Theme', 'ampnewstheme' ),
		      'icon'       => 'el el-brush',
			  'id'         => 'ampforwp-theme-subsection',
		      'desc'       => " ",
							);
$comment_desc_1 = '<p>We have created the videos that will allow you to understand how to setup the AMP Newspaper theme on your website.</p><br />Part One: Homepage Setup<p><iframe width="480" height="300" src="https://www.youtube.com/embed/by7heYN0bgM" frameborder="0" allowfullscreen></iframe></p><br />Part Two: Single Post and Other Options
<p><iframe width="480" height="300" src="https://www.youtube.com/embed/So99mTBMZ6A" frameborder="0" allowfullscreen></iframe></p>';

		$sections[] = array(
		      'title'      => __( 'Introduction', 'ampnewstheme' ), 			
              'id'   	   => 'ampforwp-theme-subsection-shortcode',
		      'subsection' => true,
            'desc' => $comment_desc_1,
                     );


		$sections[] = array(
		      'title'      => __( 'Settings', 'ampnewstheme' ),
		      'desc'       => __( '', 'ampnewstheme'),
			  'id'		   => 'ampforwp-theme-subsection-shortcode-panel',
		      'subsection' => true,
              'fields'      => array(
                    //header section
                array(
                       'id' => 'header',
                       'type' => 'section',
                       'title' => __('Header', 'accelerated-mobile-pages'),
                       'indent' => true,
                       'layout_type' => 'accordion',
                        'accordion-open'=> 1,
                   ),
                    array(
                         'id'       => 'amp-search-menu-selector',
                         'type'     => 'select',
                         'title'    => __( 'Menu & Search Selector', 'accelerated-mobile-pages' ),
                         'tooltip-subtitle' => __( 'Select your Menu & Search Overlay design.', 'accelerated-mobile-pages' ),
                         'options'  => array(
                             '1' => __('Background Image', 'accelerated-mobile-pages' ),
                             '2' => __('Background Color', 'accelerated-mobile-pages' ),
                         ),
                         'default'  => '1'
                    ),
                     array(
                        'id'       => 'opt-search-media',
                        'type'     => 'media',
                        'url'      => true,
                        'title'    => __('Menu & Search Overlay Background Image', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Upload a background image for the Search Icon.', 'accelerated-mobile-pages'),
                        'required' => array(
                                        array('amp-search-menu-selector', '=' , '1')
                                        ),
                     ),
                    array(
                         'id'        => 'amp-opt-color-rgba-text-search-media',
                         'type'      => 'color_rgba',
                         'title'     => __('Menu & Search Overlay Text Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#eee',
                         ),
                         'required' => array(
                           array('amp-search-menu-selector', '=' , '1'),
                         )
                     ),
                     array(
                         'id'        => 'amp-opt-color-rgba-search-media',
                         'type'      => 'color_rgba',
                         'title'     => __('Menu & Search Overlay Background Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#131313',
                         ),
                         'required' => array(
                           array('amp-search-menu-selector', '=' , '2')
                         )
                     ),
                     array(
                         'id'        => 'amp-opt-color-rgba-text-search-media',
                         'type'      => 'color_rgba',
                         'title'     => __('Menu & Search Overlay Text Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#eee',
                         ),
                         'required' => array(
                           array('amp-search-menu-selector', '=' , '2'),
                         )
                     ),
                     array(
                          'id'    => 'header-overlay-position-nwsp',
                          'title'  => esc_html__('Menu Overlay Position', 'accelerated-mobile-pages'),
                          'type'   => 'select',
                          'options'=> array(
                              '1' =>  'Right',
                              '2' =>  'Left'
                            ),
                            'default'=> '1',
                            'required' => array(
                                //array('amp-design-selector', '=' , '3'),
                                //array('ampforwp-amp-menu', '=' , '1')
                          )    
                    ),
                     array(
                         'id'        => 'amp-header-bg-color',
                         'type'      => 'color_rgba',
                         'title'     => __('Header Background Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#000',
                         )
                     ),
                     array(
                         'id'        => 'amp-header-icon-color',
                         'type'      => 'color_rgba',
                         'title'     => __('Header Icon Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#fff',
                         )
                     ),
                     array(
                        'id'        => 'amp-theme-enable-menu-social',
                        'type'      => 'switch',
                        'title'     => __('Social profiles', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Display or hide social profile icons in Menu', 'accelerated-mobile-pages'),
                    ),

                    //Homepage options
                array(
                       'id' => 'homepage',
                       'type' => 'section',
                       'title' => __('HomePage', 'accelerated-mobile-pages'),
                       'indent' => true,
                       'layout_type' => 'accordion',
                        'accordion-open'=> 1,
                   ),
                     array(
                         'id'        => 'amp-homepage-pagination',
                         'type'      => 'color_rgba',
                         'title'     => __('Pagination Background','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#4db2ec',
                         )
                     ),
                     array(
                        'id'       => 'amp-tag-home',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Tags', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Enable or disable the Tags'),
                        'required'  => array('amp-frontpage-select-option','=','1'),                  
                    ),
                // Single Section
                array(
                       'id' => 'single',
                       'type' => 'section',
                       'title' => __('Single', 'accelerated-mobile-pages'),
                       'indent' => true,
                       'layout_type' => 'accordion',
                        'accordion-open'=> 1,
                   ),
                     array(
                        'id'       => 'bread-crumb',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Breadcrumb', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Enable or disable the Breadcrumb'),                  
                    ),
                    array(
                      'id'       => 'meta-single',
                      'type'     => 'switch',
                      'default'  =>  '1',
                      'title'    => __('Meta For Single', 'accelerated-mobile-pages'),
                      'tooltip-subtitle' => __('Enable or disable the Meta on Single'),                  
                    ),
                    array(
                        'id'       => 'featured-image',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Featured Image', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Enable or disable the Featured Image on single'),                  
                    ),
                    array(
                        'id'        => 'amp-theme-anchor-link-color',
                        'type'      => 'color_rgba',
                        'title'     => __('Anchor Link Color','accelerated-mobile-pages'),
                        'default'   => array(
                                'color'     => '#005be2',
                            )
                     ), 
                    array(
                        'id'       => 'author-box-single',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Author Box', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Enable or disable the Author box'),                  
                    ),

                     array(
                          'id'       => 'amp-cats-single',
                          'type'     => 'switch',
                          'default'  =>  '1',
                          'title'    => __('Category', 'accelerated-mobile-pages'),
                          'tooltip-subtitle' => __('Enable or Disable Categories in Single', 'accelerated-mobile-pages'),              
                       ),
                    array(
                        'id'       => 'amp-tag',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Tags', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Enable or disable the Tags'),                  
                    ),
                     array(
                      'id'       => 'amp-cats-tags-links-single',
                      'type'     => 'switch',
                      'default'  =>  '1',
                      'title'    => __('Categories & Tags Links', 'accelerated-mobile-pages'),
                      'required'  => array('ampforwp-archive-support', '=' , '1'),
                    ),

                     array(
                        'id'       => 'enable-excerpt-single',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Excerpt', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Excerpt will be displayed below the feature image'),                  
                    ),
                     // Pagination //#1015 
                    array(
                        'id'       => 'amp-pagination',
                        'type'     => 'switch',
                        'title'    => esc_html__( 'Post Pagination', 'accelerated-mobile-pages' ),
                       'default'   => 1,
                       'tooltip-subtitle'  => esc_html__('Enable the feature to add Pagination in single', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'       => 'ampforwp-pagination-select',
                            'class' => 'child_opt child_opt_arrow',
                        'type'     => 'select',
                        'title'    => esc_html__('Post Pagination Type', 'accelerated-mobile-pages'),
                        'options'  => array(
                            '1' => 'Numbering',
                            '2' => 'Next-Previous',
                        ),
                        'default'  => '1',
                        'required' => array('amp-pagination' , '=' , '1'),
                    ),
                    array(
                        'id'        => 'namp-enable-single-next-prev',
                        'type'      => 'switch',
                        'title'     => __('Next-Previous Links', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Enable Next-Previous links in single', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'        => 'namp-enable-single-social-top',
                        'type'      => 'switch',
                        'title'     => __('Social Share Top', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Display or hide the social share icons on top', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'        => 'namp-enable-single-social-bottom',
                        'type'      => 'switch',
                        'title'     => __('Social Share Bottom', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Display or hide the social share icons on bottom', 'accelerated-mobile-pages'),
                    ),
                array(
                'id'       => 'amp-single-related-posts-switch',
                'type'     => 'switch',
                'title'    => __( 'Related Posts', 'accelerated-mobile-pages' ),
               'default'   => 1,
                ),
           
                        array(
                                'id'       => 'amp-single-select-type-of-related',
                                'type'     => 'select',
                            'class' => 'child_opt child_opt_arrow',
                                'title'    => __('Related Post by', 'accelerated-mobile-pages'),
                                'data'     => 'page',
                            'tooltip-subtitle' => __('select the type of related posts', 'accelerated-mobile-pages'),
                                'options'  => array(
                                    '1' => 'Tags',
                                    '2' => 'Categories',
                                ),
                           'default'  => '2',
                           'required' => array('amp-single-related-posts-switch', '=' , '1'),
                        ),
                             array(
                                'id'       => 'amp-single-related-posts-image',
                                'type'     => 'switch',
                            'class' => 'child_opt',
                                'title'    => __('Image', 'accelerated-mobile-pages'),
                                'default'  => 1,
                                'required' => array('amp-single-related-posts-switch', '=' , '1'),
                        ),
                        array(
                                'id'       => 'amp-single-related-posts-excerpt',
                                'type'     => 'switch',
                            'class' => 'child_opt',
                                'title'    => __('Excerpt', 'accelerated-mobile-pages'),
                                'default'  => 1,
                                'required' => array('amp-single-related-posts-switch', '=' , '1'),
                        ),
                         array(
                          'id'        => 'amp-single-excerpt-length-related-posts',
                          'type'      => 'text',
                          'class'     => 'child_opt',
                          'title'     => esc_html__('Excerpt Length', 'accelerated-mobile-pages'),
                          'default'   => 15,
                          'tooltip-subtitle'  => esc_html__('Excerpt will be displayed on related posts', 'accelerated-mobile-pages'),
                          'required'  => array( 
                            array('amp-single-related-posts-excerpt', '=' , '1') ),
                          ),
                        array(
                                'id'       => 'amp-single-related-posts-link',
                                'type'     => 'switch',
                                'class' => 'child_opt',
                                'title'    => __('Link to Non-AMP', 'accelerated-mobile-pages'),
                                'default'  => 0,
                                'required' => array('amp-single-related-posts-switch', '=' , '1'),            ),
                        array(
                                'id'       => 'ampforwp-single-order-of-related-posts',
                                'type'     => 'switch',
                                'class' => 'child_opt',
                                'title'    => esc_html__('Sort Related Posts Randomly', 'accelerated-mobile-pages'),
                                'default'  => 1,
                                'required' => array( 
                                                array('amp-single-related-posts-switch', '=' , '1'),
                                            ),
                        ),
                        array(
                                'id'       => 'amp-number-of-related-posts',
                                'type'     => 'text',
                            'class' => 'child_opt',
                                'title'    => __('Number of Related Post', 'accelerated-mobile-pages'),
                                'validate' => 'numeric',
                                'default'  => '3',
                                 'required' => array('amp-single-related-posts-switch', '=' , '1'),
                                
                        ),
                        array(
                                'id'       => 'amp-related-posts-days-switch',
                                'type'     => 'switch',
                                'class' => 'child_opt',
                                'title'    => esc_html__('By Last X Days', 'accelerated-mobile-pages'),
                                'tooltip-subtitle' => esc_html__('Show Related Posts From Past Few Days', 'accelerated-mobile-pages'),
                                'default'  => 0,
                                'required' => array( 
                                                array('amp-single-related-posts-switch', '=' , '1'),
                                            ),
                        ),
                        array(
                                'id'       => 'amp-related-posts-days-text',
                                'type'     => 'text',
                                'class' => 'child_opt',
                                'title'    => esc_html__('Number of Days', 'accelerated-mobile-pages'),
                                'validate' => 'numeric',
                                'default'  => '7',
                                'required' => array( 
                                                array('amp-related-posts-days-switch', '=' , '1'),
                                            ),
                        ),
            array(
                'id'       => 'ampforwp-inline-related-posts',
                'type'     => 'switch',
                'title'    => esc_html__('In-Content Related Post', 'accelerated-mobile-pages'),
                'tooltip-subtitle' => esc_html__('Insert Related Posts between the content', 'accelerated-mobile-pages'),
                'default'  => 0,
            ),
                    array(
                            'id'       => 'ampforwp-inline-related-posts-type',
                            'type'     => 'select',
                            'title'    => esc_html__('In-content Related Post by', 'accelerated-mobile-pages'),
                            'class' => 'child_opt child_opt_arrow',
                            'options'  => array(
                                '1' => 'Tags',
                                '2' => 'Categories',
                            ),
                       'default'  => '2',
                       'required' => array( array('ampforwp-inline-related-posts', '=' , '1') ),
                    ),
                    array(
                            'id'       => 'ampforwp-inline-related-posts-order',
                            'type'     => 'switch',
                        'class' => 'child_opt',
                            'title'    => esc_html__('Sort Related Posts Randomly', 'accelerated-mobile-pages'),
                        'default'  => 0,
                        'required' => array( array('ampforwp-inline-related-posts', '=' , '1') ),
                    ),
                    array(
                            'id'       => 'ampforwp-number-of-inline-related-posts',
                            'type'     => 'text',
                        'class' => 'child_opt',
                            'title'    => esc_html__('Display No. of Related Posts', 'accelerated-mobile-pages'),
                            'validate' => 'numeric',
                        'default'  => '3',
                        'required' => array( array('ampforwp-inline-related-posts', '=' , '1') ),
                    ),
                    array(
                            'id'       => 'ampforwp-inline-related-posts-display-type',
                            'type'     => 'select',
                            'title'    => esc_html__('Related Post Display', 'accelerated-mobile-pages'),
                            'class' => 'child_opt child_opt_arrow',
                            'options'  => array(
                                'middle' => 'After 50% of Content',
                                'paragraphs' => 'X number of paragraphs',
                            ),
                       'default'  => 'middle',
                       'required' => array( array('ampforwp-inline-related-posts', '=' , '1') ),
                    ),
                    array(
                            'id'       => 'ampforwp-related-posts-after-number-of-paragraphs',
                            'type'     => 'text',
                            'class' => 'child_opt',
                            'title'    => esc_html__('Related Post After No. of Paragraphs', 'accelerated-mobile-pages'),
                            'validate' => 'numeric',
                            'default'  => '3',
                            'required' => array( array('ampforwp-inline-related-posts', '=' , '1'),array('ampforwp-inline-related-posts-display-type', '=' , 'paragraphs') ),
                    ),
            array(
              'id'       => 'review-single',
              'type'     => 'switch',
              'default'  =>  1,
              'title'    => __('Review', 'accelerated-mobile-pages'),
              'tooltip-subtitle' => __('Available for only Newspaper by TagDiv'),                  
            ),
            array(
                      'id'       => 'author-img',
                      'type'     => 'switch',
                      'default'  =>  '0',
                      'title'    => __('Author Image', 'accelerated-mobile-pages'),
                      'tooltip-subtitle' => __('Enable or disable Author Image'),                  
                    ),
            array(
                'id'       => 'namp-swift_cnt',
                'type'     => 'switch',
                'title'    =>  esc_html__( 'H1 - H6 Font Sizes', 'accelerated-mobile-pages' ),
                'default'   => 0,
                'tooltip-subtitle' => sprintf('%s <a href="%s" target="_blank">%s</a> %s', 
                 esc_html__('Enable this option to change default heading size in AMP and', 'accelerated-mobile-pages'), esc_url('https://ampforwp.com/tutorials/article/how-to-change-font-size-of-h1-h6/'),esc_html__('Click Here','accelerated-mobile-pages'), esc_html__('for more info','accelerated-mobile-pages')), 

            ),
            array(
                'id'       => 'namp-swift_cnt_h1',
                'type'     => 'switch',
                'class' => 'child_opt',
                'title'    => esc_html__('H1', 'accelerated-mobile-pages'),
                'default'  => 0,
                'required' => array('namp-swift_cnt' , '=' , '1'),
            ),
            array(
                'id'       => 'namp-swift_h1_sz',
                'type'     => 'text',
                'class' => 'child_opt',
                'title'    => esc_html__('H1 Font Size', 'accelerated-mobile-pages'),
                'default'  => '28px',
                'required' => array('namp-swift_cnt_h1' , '=' , '1'),
                              array('namp-swift_cnt' , '=' , '1')
            ),
            array(
                'id'       => 'namp-swift_cnt_h2',
                'type'     => 'switch',
                'class' => 'child_opt',
                'title'    => esc_html__('H2', 'accelerated-mobile-pages'),
                'default'  => 0,
                'required' => array('namp-swift_cnt' , '=' , '1'),
            ),
            array(
                'id'       => 'namp-swift_h2_sz',
                'type'     => 'text',
                'class' => 'child_opt',
                'title'    => esc_html__('H2 Font Size', 'accelerated-mobile-pages'),
                'default'  => '25px',
                'required' => array('namp-swift_cnt_h2' , '=' , '1'),
                              array('namp-swift_cnt' , '=' , '1')
            ),
            array(
                'id'       => 'namp-swift_cnt_h3',
                'type'     => 'switch',
                'class' => 'child_opt',
                'title'    => esc_html__('H3', 'accelerated-mobile-pages'),
                'default'  => 0,
                'required' => array('namp-swift_cnt' , '=' , '1'),
            ),
            array(
                'id'       => 'namp-swift_h3_sz',
                'type'     => 'text',
                'class' => 'child_opt',
                'title'    => esc_html__('H3 Font Size', 'accelerated-mobile-pages'),
                'default'  => '22px',
                'required' => array('namp-swift_cnt_h3' , '=' , '1'),
                              array('namp-swift_cnt' , '=' , '1')
            ),
            array(
                'id'       => 'namp-swift_cnt_h4',
                'type'     => 'switch',
                'class' => 'child_opt',
                'title'    => esc_html__('H4', 'accelerated-mobile-pages'),
                'default'  => 0,
                'required' => array('namp-swift_cnt' , '=' , '1'),
            ),
            array(
                'id'       => 'namp-swift_h4_sz',
                'type'     => 'text',
                'class' => 'child_opt',
                'title'    => esc_html__('H4 Font Size', 'accelerated-mobile-pages'),
                'default'  => '19px',
                'required' => array('namp-swift_cnt_h4' , '=' , '1'),
                              array('namp-swift_cnt' , '=' , '1')
            ),
            array(
                'id'       => 'namp-swift_cnt_h5',
                'type'     => 'switch',
                'class' => 'child_opt',
                'title'    => esc_html__('H5', 'accelerated-mobile-pages'),
                'default'  => 0,
                'required' => array('namp-swift_cnt' , '=' , '1'),
            ),
            array(
                'id'       => 'namp-swift_h5_sz',
                'type'     => 'text',
                'class' => 'child_opt',
                'title'    => esc_html__('H5 Font Size', 'accelerated-mobile-pages'),
                'default'  => '17px',
                'required' => array('namp-swift_cnt_h5' , '=' , '1'),
                              array('namp-swift_cnt' , '=' , '1')
            ),
            array(
                'id'       => 'namp-swift_cnt_h6',
                'type'     => 'switch',
                'class' => 'child_opt',
                'title'    => esc_html__('H6', 'accelerated-mobile-pages'),
                'default'  => 0,
                'required' => array('namp-swift_cnt' , '=' , '1'),
            ),
            array(
                'id'       => 'namp-swift_h6_sz',
                'type'     => 'text',
                'class' => 'child_opt',
                'title'    => esc_html__('H6 Font Size', 'accelerated-mobile-pages'),
                'default'  => '15px',
                'required' => array('namp-swift_cnt_h6' , '=' , '1'),
                              array('namp-swift_cnt' , '=' , '1')
            ),
                //Footer section
                array(
                       'id' => 'footer',
                       'type' => 'section',
                       'title' => __('Footer', 'accelerated-mobile-pages'),
                       'indent' => true,
                       'layout_type' => 'accordion',
                        'accordion-open'=> 1,
                   ),
                array(
                  'id'       => 'footer-menu-2',
                  'type'     => 'switch',
                  'default'  =>  1,
                  'title'    => __('Footer Menu 2', 'accelerated-mobile-pages'),
                  'tooltip-subtitle' => __('Enable this option to hide the Footer Menu 2 from the Footer Setion.'),                  
                ),
                array(
                        'id'        => 'footer-bg-color',
                        'type'      => 'color_rgba',
                        'title'     =>__('Footer Background Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                             'color'     => '#111',
                        )
                ),


                array(
                        'id'       => 'amptheme-footer-hdng-color',
                        'type'     => 'color_rgba',
                        'title'    => esc_html__('Footer Heading Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                                'color' => '#aaaaaa'
                        ),
                        
                ),
                array(
                        'id'       => 'amptheme-footer-txt-color',
                        'type'     => 'color_rgba',
                        'title'    => esc_html__('Footer Text Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                                'color' => '#eeeeee'
                        ),
                        
                ),
                array(
                        'id'       => 'amptheme-footer-link-color',
                        'type'     => 'color_rgba',
                        'title'    => esc_html__('Footer Link Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                                'color' => '#ffffff'
                        ),
                        
                ),
                array(
                        'id'       => 'amptheme-footer-brdr-color',
                        'type'     => 'color_rgba',
                        'title'    => esc_html__('Footer Border Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                                'color' => '#3c3c3c'
                        ),
                        
                ),
                array(
                        'id'       => 'amptheme-footer-cpr-color',
                        'type'     => 'color_rgba',
                        'title'    => esc_html__('Footer Copyrights Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                                'color' => '#ffffff'
                        ),
                       
                ),
                array(
                        'id'       => 'amptheme-footer-pwrd-color',
                        'type'     => 'color_rgba',
                        'title'    => esc_html__('Footer Powered by Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                                'color' => '#ccc'
                        ),
                       
                ),
                array(
                    'id'        =>'amp-footer-on-off-support-for-non-amp-home-page',
                    'type'      => 'switch',
                    'title'     => __('Non-AMP HomePage link in Footer and Logo', 'accelerated-mobile-pages'),
                    'tooltip-subtitle'  => __('If you want users in footer to go to non-AMP website from the Footer logo, then you can enable this option', 'accelerated-mobile-pages'),
                    'default'   => 0,
                 ),
                    array(
                        'id'       => 'opt-footer-media',
                        'type'     => 'media',
                        'url'      => true,
                        'title'    => __('Footer Logo', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Upload a Footer logo for the AMP version.', 'accelerated-mobile-pages'),
                        'desc'    => __('Recommend Footer logo size is: 230x77', 'accelerated-mobile-pages')
                     ),
                    array(
                         'id'       => 'ampforwp-custom-footer-logo-dimensions',
                         'title'    => __('Custom Logo Size', 'accelerated-mobile-pages'),
                         'type'     => 'switch',
                         'default'  => 0,
                     ),
                    array(
                         'id'       => 'opt-media-footer-logo-width',
                         'type'     => 'text',
                         'title'    => __('Logo Width', 'accelerated-mobile-pages'),
                         'desc'    => __('Default width is 230 pixels', 'accelerated-mobile-pages'),
                         'default' => '230',
                         'required'=>array('ampforwp-custom-footer-logo-dimensions','=','1'),
                     ),
                    array(
                         'id'       => 'opt-media-footer-logo-height',
                         'type'     => 'text',
                         'title'    => __('Logo Height', 'accelerated-mobile-pages'),
                         'desc'    => __('Default height is 77 pixels', 'accelerated-mobile-pages'),
                         'default' => '77',
                         'required'=>array('ampforwp-custom-footer-logo-dimensions','=','1'),

                     ),
                    array(
                         'id'       => 'ampforwp-footor-about-us',
                         'title'    => __('Footer About Text', 'accelerated-mobile-pages'),
                         'type'     => 'switch',
                         'default'  => 0,
                     ),

               array(
                        'id'       => 'ampforwp-footer-top-amp-newspaper-theme',
                        'type'     => 'switch',
                        'title'    => __('Back to Top link', 'accelerated-mobile-pages'),
                        'tooltip-subtitle' => __('Enable / Disable Link to top of the page in the footer', 'accelerated-mobile-pages'),
                        'true'      => 'true',
                        'false'     => 'false',
                        'default'   => 0,
                ),
                    array(
                        'id'       => 'amp-footer-about-us-text-area',
                        'type'     => 'textarea',
                        'title'    => __('Enter The Text', 'accelerated-mobile-pages'),
                        
                        'required'=>array('ampforwp-footor-about-us','=','1'),
                        'default'   => '<p>
                        Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. </p> <p> contact us:<a href="mailto:contact@yoursite.com"> contact@yoursite.com </a> </p>',
                    ),
                    array(
                        'id'        => 'amp-theme-enable-footer-social',
                        'type'      => 'switch',
                        'title'     => __('Social profiles', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Display or hide social profile icons in Footer', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'        => 'amp-theme-enable-footer-sticky-social',
                        'type'      => 'switch',
                        'title'     => __('Sticky Social Icons', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Display or hide social profile icons in Footer', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'        => 'amp-theme-enable-view-non-amp',
                        'type'      => 'switch',
                        'title'     => __('View Non-AMP Version', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'tooltip-subtitle'  => __('Enable or Disable View Non-AMP Version in Footer', 'accelerated-mobile-pages'),
                    ),
                        array(
                           'id' => 'single-sneakp-section', 
                           'type' => 'section',
                           'title' => esc_html__('Content Sneak Peek', 'accelerated-mobile-pages'),
                           'indent' => true,
                           'layout_type' => 'accordion',
                            'accordion-open'=> 1,
                    ),
                        array(
                            'id'       => 'content-sneak-peek',
                            'type'     => 'switch',
                            'title'    => esc_html__('Content Sneak Peek', 'accelerated-mobile-pages'),
                            'default'  => 0,
                    ),
                        array(
                            'id'       => 'content-sneak-peek-height',
                            'type'     => 'text',
                            'class'    => 'child_opt',
                            'title'    => esc_html__('Content Height', 'accelerated-mobile-pages'),
                            'default'  => '600px',
                            'required' => array('content-sneak-peek' , '=' , '1'),
                    ),
                        array(
                            'id'       => 'content-sneak-peek-btn-text',
                            'type'     => 'text',
                            'class'    => 'child_opt',
                            'title'    => esc_html__('Button Text', 'accelerated-mobile-pages'),
                            'default'  => 'Show Full Article',
                            'required' => array('content-sneak-peek' , '=' , '1'),
                    ),
                        array(
                            'id'        => 'content-sneak-peek-txt-color',
                            'title'     => esc_html__('Text Color', 'accelerated-mobile-pages'),
                            'tooltip-subtitle'  => esc_html__('Choose the color for button\'s text','accelerated-mobile-pages'),
                            'type'      => 'color_rgba',
                            'class'    => 'child_opt',
                            'default'   => array(
                            'color'      => '#fff',
                            ),
                            'required' => array(
                                array('content-sneak-peek', '=' , '1')
                            )
                    ),
                        array(
                            'id'        => 'content-sneak-peek-btn-color',
                            'title'     => esc_html__('Button Color', 'accelerated-mobile-pages'),
                            'tooltip-subtitle'  => esc_html__('Choose the color for button','accelerated-mobile-pages'),
                            'type'      => 'color_rgba',
                            'class'    => 'child_opt',
                            'default'   => array(
                            'color'      => '#000',
                             ),
                            'required' => array(
                                array('content-sneak-peek', '=' , '1')
                             )
                    ),   

                    // Translation section
                    array(
                       'id' => 'newspaper_translation',
                       'type' => 'section',
                       'title' => __('Translation', 'accelerated-mobile-pages'),
                       'indent' => true,
                       'layout_type' => 'accordion',
                       'accordion-open'=> 0,
                    ),
                     array(
                       'id'       => 'amp-theme-translator-breadcrumb-text',
                       'type'     => 'text',
                       'title'    => __('Breadcrumb Homepage text', 'accelerated-mobile-pages'),
                       'default'  => __('Homepage','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                    array(
                       'id'       => 'amp-theme-translator-by-text',
                       'type'     => 'text',
                       'title'    => __('By', 'accelerated-mobile-pages'),
                       'tooltip-subtitle' => __('before the author name in Single','accelerated-mobile-pages'),
                       'default'  => __('By','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                    array(
                       'id'       => 'amp-theme-translator-tag-text',
                       'type'     => 'text',
                       'title'    => __('Tags', 'accelerated-mobile-pages'),
                       'default'  => __('Tags','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                    array(
                       'id'       => 'amp-theme-translator-next-article-text',
                       'type'     => 'text',
                       'title'    => __('Next article', 'accelerated-mobile-pages'),
                       'default'  => __('Next article','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                   array(
                       'id'       => 'amp-theme-translator-previous-article-text',
                       'type'     => 'text',
                       'title'    => __('Previous article', 'accelerated-mobile-pages'),
                       'default'  => __('Previous article','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                   array(
                       'id'       => 'amp-theme-translator-about-us-text',
                       'type'     => 'text',
                       'title'    => __('ABOUT US', 'accelerated-mobile-pages'),
                       'default'  => __('ABOUT US','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                     array(
                       'id'       => 'amp-theme-translator-follow-us-text',
                       'type'     => 'text',
                       'title'    => __('FOLLOW US', 'accelerated-mobile-pages'),
                       'default'  => __('FOLLOW US','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),

              ),
        );
return $sections;
}
}
add_filter("redux/options/redux_builder_amp/sections", 'ampforwp_theme_settings');

add_filter('ampforwp_options_remover','ampforwp_remove_options_nwspt'); 

function ampforwp_remove_options_nwspt($options){

     $options = array('header-overlay-position-d3'); 
     return $options; 
}