<?php global $redux_builder_amp;  ?>
<!doctype html>
<html amp <?php echo AMP_HTML_Utils::build_attributes_string( $this->get( 'html_tag_attributes' ) ); ?>>
<head>
	<meta charset="utf-8">
  <link rel="dns-prefetch" href="https://cdn.ampproject.org">
	<?php
	global $redux_builder_amp;
	if ( is_archive() ) {
		$description 	= get_the_archive_description();
		$sanitizer = new AMPFORWP_Content( $description, array(), 
			apply_filters( 'ampforwp_content_sanitizers',
				array( 
					'AMP_Style_Sanitizer' 		=> array(),
					'AMP_Blacklist_Sanitizer' 	=> array(),
					'AMP_Img_Sanitizer' 		=> array(),
					'AMP_Video_Sanitizer' 		=> array(),
					'AMP_Audio_Sanitizer' 		=> array(),
					'AMP_Iframe_Sanitizer' 		=> array(
						'add_placeholder' 		=> true,
					)
				) ) );
	} ?>
	<?php do_action( 'amp_post_template_head', $this ); ?>
	<?php
	$amp_component_scripts = $sanitizer->amp_scripts;
	if ( $sanitizer && $amp_component_scripts) {	
		foreach ($amp_component_scripts as $ampforwp_service => $ampforwp_js_file) { ?>
			<script custom-element="<?php echo $ampforwp_service; ?>"  src="<?php echo $ampforwp_js_file; ?>" async></script> <?php
		}
	}?>
	<style amp-custom>
	 
	<?php do_action( 'amp_post_template_css', $this ); ?>
	</style>
</head>
<?php $rtlclass = $redux_builder_amp['amp-rtl-select-option'] == true ? ' rtl' : ''; ?>
<body class="amp_home_body archives_body design_news_wrapper<?php echo $rtlclass ?>">
<?php do_action('ampforwp_body_beginning', $this); ?>
<?php $this->load_parts( array( 'header-bar' ) ); ?>

<?php do_action( 'ampforwp_after_header', $this );

if ( get_query_var( 'paged' ) ) {
      $paged = get_query_var('paged');
  } elseif ( get_query_var( 'page' ) ) {
      $paged = get_query_var('page');
  } else {
      $paged = 1;
  }

 ?>

<main>
	<?php do_action('ampforwp_post_before_loop') ?>
	<?php

	    $exclude_ids = get_option('ampforwp_exclude_post');

		$q = new WP_Query( array(
			'post_type'           => 'post',
			'orderby'             => 'date',
			'ignore_sticky_posts' => 1,
			'paged'               => esc_attr($paged),
			'post__not_in' 		  => $exclude_ids,
			'has_password' => false ,
			'post_status'=> 'publish'
		) ); ?>

 	<?php if ( is_archive() ) {
 			the_archive_title( '<h3 class="amp-wp-content page-title">', '</h3>' );
 			
			$arch_desc 		= $sanitizer->get_amp_content();
			if( isset($redux_builder_amp['ampforwp-cat-description']) && $redux_builder_amp['ampforwp-cat-description'] == 1 && $arch_desc ) {  ?>
				<div class="amp-wp-content taxonomy-description">
					<?php echo $arch_desc ; ?>
			  </div> <?php
			}
 		} ?>
 <div class="amp-wp-content">
	<div class="index-page">

    <?php if ( have_posts() ) : while ( have_posts() ) : the_post();
    	global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
        if($subdomain_checker == 1){
  		$ampforwp_amp_post_url = trailingslashit( get_permalink() ) ;
  	}else{
  		$ampforwp_amp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;
  	}
  		$ampforwp_amp_post_url  = trailingslashit( $ampforwp_amp_post_url );

			if( in_array( 'ampforwp-custom-type-amp-endpoint' , $redux_builder_amp ) ) {
	  		if ( isset($redux_builder_amp['ampforwp-custom-type-amp-endpoint']) && $redux_builder_amp['ampforwp-custom-type-amp-endpoint']) {
	  			$ampforwp_amp_post_url = trailingslashit( get_permalink() ) . '?amp';
	  		}
			}?>
  	
<div class="block-wrapper">
	<?php 
	global $subdomain_checker;
	$subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
	   global $redux_builder_amp; 
       $width  = 460;
       $height = 249;
	 if(ampforwp_has_post_thumbnail()){ $args = array("tag"=>'div',"tag_class"=>'image-container','image_size'=>'full','image_crop'=>'true','image_crop_width'=>$width,'image_crop_height'=>$height, 'responsive'=> true); ?>
    <div class="block-image">
    	<?php amp_loop_image($args); ?>
    </div><?php } ?>
    <!-- "block-content" -->
				<div class="b-c">
					<div class="title">
          				<h3>
          					<a href="<?php if($subdomain_checker==1){ echo ampforwp_font_url(esc_url( trailingslashit( $ampforwp_amp_post_url ) )); }
	          					else{
	          						echo esc_url( trailingslashit( $ampforwp_amp_post_url ) );}?>"><?php the_title(); ?>
	          							</a>
          				</h3>
        			</div><!-- /title -->
        			<div class="meta-wrapper">
					<div class="author-info">
          				<span class="author-title"> 
                              <?php the_author_meta('display_name');?>
                        </span>
          				<span class="posted-date"><?php global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) )?>        			
          				</span>
        			</div><!-- /.author-info -->
        			<div class="comments">
        					<?php ampforwp_custom_theme_the_comments( get_the_ID() ); ?> 
          			</div><!-- /.comments -->
          			</div>
          			<p><?php
                  		if( has_excerpt() ) {
                    		$content = get_the_excerpt();
                  		} else {
                    		$content = get_the_content();
                  		} ?>
                  		<?php echo wp_trim_words( strip_tags( strip_shortcodes( $content ) ) , '15'  ); ?>                    
              		</p>
			</div><!-- /.block-content -->     			
    	</div><!-- /.block-wrapper --> 
	<?php endwhile;  ?>
<!-- "amp-wp-content pagination-holder" -->
	<div class="amp-wp-content p-h">
<?php 
		global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') ); ?>
 			<div class="next">
 				<?php 
 				if($subdomain_checker == 1) 
 					print ampforwp_font_url(get_next_posts_link( ampforwp_translation ($redux_builder_amp['amp-translator-show-more-posts-text'] , 'Show more Posts') ,0 ));
 				else 
 					next_posts_link( ampforwp_translation ($redux_builder_amp['amp-translator-show-more-posts-text'] , 'Show more Posts') ,0 );
 				 ?></div>
					<?php if ( $paged > 1 ) { ?>
						<div class="prev"><?php 
						if($subdomain_checker == 1)
						echo (ampforwp_font_url( get_previous_posts_link ( ampforwp_translation($redux_builder_amp['amp-translator-show-previous-posts-text'], 'Show previous Posts') ) ) );
						else
							previous_posts_link ( ampforwp_translation( $redux_builder_amp['amp-translator-show-previous-posts-text'], 'Show previous Posts') ); 
						 ?></div>
					<?php } ?>
			<div class="clearfix"></div>
 	</div>

	<?php endif; ?>
   </div>
</div>
	<?php wp_reset_postdata(); ?>
	<?php do_action('ampforwp_post_after_loop') ?>
</main>
<?php do_action( 'amp_post_template_above_footer', $this ); ?>
<?php $this->load_parts( array( 'footer' ) ); ?>
<?php do_action( 'amp_post_template_footer', $this ); ?>
</body>
</html>