<?php global $redux_builder_amp;  ?>
<!doctype html>
<html amp <?php echo AMP_HTML_Utils::build_attributes_string( $this->get( 'html_tag_attributes' ) ); ?>>
<head>
	<meta charset="utf-8">
  	<link rel="dns-prefetch" href="https://cdn.ampproject.org">
	<?php do_action( 'amp_post_template_head', $this ); ?>

	<style amp-custom>
	 
	<?php do_action( 'amp_post_template_css', $this ); ?>
	</style>
</head>
<?php $rtlclass = $redux_builder_amp['amp-rtl-select-option'] == true ? ' rtl' : ''; ?>
<body class="amp_home_body design_news_wrapper<?php echo $rtlclass ?>">
<?php do_action('ampforwp_body_beginning', $this); ?>
<?php $this->load_parts( array( 'header-bar' ) ); ?>

<div class="amp-wp-content">
	<?php do_action('ampforwp_area_above_loop'); ?>
</div>

<?php do_action( 'ampforwp_after_header', $this );

if ( get_query_var( 'paged' ) ) {
      $paged = get_query_var('paged');
  } elseif ( get_query_var( 'page' ) ) {
      $paged = get_query_var('page');
  } else {
      $paged = 1;
  }
 ?>


<?php do_action('ampforwp_home_above_loop') ?>
<main>
	<?php do_action('ampforwp_post_before_loop') ?>
	<?php

	    $exclude_ids = get_option('ampforwp_exclude_post');
			$args_new =  array(
				'post_type'           => 'post',
				'orderby'             => 'date',
 				'paged'               => esc_attr($paged),
				'post__not_in' 		  => $exclude_ids, 
				'has_password' => false,
				'post_status'=> 'publish'
			);

			$filtered_args = apply_filters('ampforwp_query_args', $args_new);


		$q = new WP_Query( $filtered_args ); ?>
		
		<div class="amp-wp-content">
		<div class="index-page">

	<?php if ( $q->have_posts() ) : while ( $q->have_posts() ) : $q->the_post();
		$ampforwp_amp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ; ?>
<div class="block-wrapper">
	<?php 
	global $redux_builder_amp; 
    $width  = 460;
    $height = 249;
	if(ampforwp_has_post_thumbnail()){ $args = array("tag"=>'div',"tag_class"=>'image-container','image_size'=>'full','image_crop'=>'true','image_crop_width'=>$width,'image_crop_height'=>$height, 'responsive'=> true); ?>
    <div class="block-image">
    	<?php amp_loop_image($args); ?>
    </div><?php } ?>
    <!-- "block-content" -->
				<div class="b-c">
					<div class="title">
          				<h3>
          					<a href="<?php echo esc_url( trailingslashit( $ampforwp_amp_post_url ) ); ?>">
          							<?php the_title(); ?>
          					</a>
          				</h3>
        			</div><!-- /title -->
        			<div class="meta-wrapper">
        			<div class="author-info">
          				 <span class="author-title"> 
                              <?php the_author_meta('display_name');?>
                         </span>
          				<span class="posted-date"><?php echo the_modified_date( get_option( 'date_format' ) ) ?>        			
          				</span>
        			</div><!-- /.author-info -->
        			<div class="comments">
        					<?php ampforwp_custom_theme_the_comments( get_the_ID() ); ?> 
          			</div><!-- /.comments -->
          			</div>
          			<p>
              <?php
                global $redux_builder_amp; 
                      if ( 1 == $redux_builder_amp['excerpt-option'] ) {
                        		if( has_excerpt() ) {
                          		$content = get_the_excerpt();
                        		} else {
                          		$content = get_the_content();
                        		} ?>
                        		<?php echo wp_trim_words( strip_tags( strip_shortcodes( $content ) ) , '15'  );
                      }

              ?>                    
              	</p>
      			</div><!-- /.block-content --> 			
    		</div><!-- /.block-wrapper -->  		
	<?php endwhile;  ?>
		<!-- "amp-wp-content pagination-holder" -->
  <div class="amp-wp-content p-h">

 			<div class="next"><?php next_posts_link( ampforwp_translation( $redux_builder_amp['amp-translator-show-more-posts-text'] , 'Show more Posts'), 0 ) ?></div>
					<?php if ( $paged > 1 ) { ?>
						<div class="prev"><?php previous_posts_link( ampforwp_translation($redux_builder_amp['amp-translator-show-previous-posts-text'], 'Show previous Posts') ); ?></div>
					<?php } ?>
			<div class="clearfix"></div>
	</div>
	<?php endif; ?>
	    </div>
</div>
	<?php wp_reset_postdata(); ?>

	<?php do_action('ampforwp_post_after_loop') ?>

</main>
<?php do_action('ampforwp_home_below_loop') ?>
<?php do_action( 'amp_post_template_above_footer', $this ); ?>
<?php $this->load_parts( array( 'footer' ) ); ?>
<?php do_action( 'amp_post_template_footer', $this ); ?>
</body>
</html>