<?php 
class AMPFORWP_Theme1_Categories_Widget extends WP_Widget {

  // Set up the widget name and description.
  public function __construct() {
    $widget_options = array(
      'classname' => 'AMPFORWP_Theme1_Categories_Widget',
       'description' => __('This Widget adds categories where necessary in AMP Theme Pages','accelerated-mobile-pages')
     );
    parent::__construct( 'ampforwp_theme1_categories_widget', __('AMP News Block #1','accelerated-mobile-pages'), $widget_options );
  }

// args for the output of the form
  public $args = array(
          'id'            => 'uniqueid',
          'before_title'  => '<h4 class="widgettitle">',
          'after_title'   => '</h4>',
          'before_widget' => '<div class="widget-wrap">',
          'after_widget'  => '</div>'
      );

// Create the widget output.
  public function widget( $args, $instance ) {

    $ampforwp_category_count2 = $instance[ 'count2' ];
    $ampforwp_category_count = $instance[ 'count' ];
    $ampforwp_category_id = $instance[ 'category' ];
    $ampforwp_block_2_cat_link = $instance[ 'showButton' ];
    $module_offset2  = $instance['module_offset2'];
    $module_offset = $instance['module_offset'];
    $ampforwp_cpt_taxonomy=$instance['review'];
    $ampforwp_cpt=$instance['portfolio'];
    $exclude_ids = array();
    $button_text = $instance['button_text'];
   if ( get_query_var( 'paged' ) ) {
        $paged = get_query_var('paged');
    } elseif ( get_query_var( 'page' ) ) {
        $paged = get_query_var('page');
    } else {
        $paged = 1;
    }
    $offset = (int)$module_offset2 + ( (int)$paged - 1 ) * (int)$ampforwp_category_count;

    $args = array(
        'paged'   => esc_attr($paged),
        'posts_per_page' => $ampforwp_category_count, 
        'post__not_in' => $exclude_ids,
        'has_password' => false,
        'post_status'=> 'publish',
    );

    if(!empty($module_offset2)){
      $args['offset'] = esc_attr( $offset );
    }

    if($ampforwp_category_id){
      $args['cat'] = $ampforwp_category_id;
    }

    if(!empty($ampforwp_category_id) && $ampforwp_category_id!==''){
        $args['category']= $ampforwp_category_id;
    }

    if(!empty($ampforwp_cpt_taxonomy) && $ampforwp_cpt_taxonomy!=''){
       $args['taxonomy']= $ampforwp_cpt_taxonomy;
    }
    if(!empty($ampforwp_cpt) && $ampforwp_cpt!=''){
        $args['post_type']=$ampforwp_cpt;
    }

    // The Query
    $the_query = new WP_Query( $args );?>

<div class="ct-b-1"> 
<?php if (!empty($ampforwp_category_count)) { ?>
  <!-- "big-post-wrapper" -->
    <div class="b-p-w">          
                 
<?php
    // The Loop
    if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post();
      global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
        if($subdomain_checker == 1){
         $ampforwp_post_url =  ampforwp_font_url(trailingslashit( get_permalink() )); 
        }else{
         $ampforwp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;
       }?>
         <!-- "big-post" -->
         <div class="b-p">
         <?php if ( ampforwp_has_post_thumbnail() ) { ?>
                  <?php
                  // $thumb_id = get_post_thumbnail_id();
                  // $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'amp_big_img', true);
                   $thumb_url = ampforwp_get_post_thumbnail('url' , 'full');
                   $thumb_width = ampforwp_get_post_thumbnail('width');
                   $thumb_height = ampforwp_get_post_thumbnail('height');
                  
                  if ( $thumb_url ) { ?>
                  <!-- "big-post-img" -->                    
              <div class="b-p-img"> 
                    <a href="<?php echo  $ampforwp_post_url;?>" aria-label="this is the big post img">
                        <amp-img  class="b-p-img" 
                          src="<?php echo $thumb_url ?>"
                          <?php ampforwp_thumbnail_alt(); ?>
                              width="<?php echo $thumb_width; ?>" height="<?php echo $thumb_height; ?>" layout=responsive alt="this is the big post img">                      
                        </amp-img>
                    </a>
              </div> <!-- /.big-post-img --> <?php } } ?>
              <!-- "big-post-content" -->
              <div class="b-p-c">
                    <!-- //tags -->
                   <?php global $redux_builder_amp;
                     $ampforwp_tags=  get_the_terms( get_the_ID(), 'post_tag' ); 
                   
                    if($ampforwp_tags){ ?><ul><?php    
                      global $subdomain_checker;
                      $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
                          foreach ($ampforwp_tags as $tag){
                            if($redux_builder_amp['amp-tag-home']){
                              if($subdomain_checker == 1) {
                                echo ('<li><a href="'.ampforwp_font_url(trailingslashit( trailingslashit( get_tag_link( $tag->term_taxonomy_id ) ) )) . '" >'.$tag->name .'</a></li>');
                              }else{
                                echo ('<li><a href="'.trailingslashit( trailingslashit( get_tag_link( $tag->term_taxonomy_id ) ) . 'amp' ) . '" >'.$tag->name .'</a></li>');
                              }
                            }
                           }?> </ul><?php } else{  } ?>   
                     <!-- //title -->
                    <h3><a href="<?php echo $ampforwp_post_url ;?>"><?php the_title(); ?></a></h3> 
                    <!-- //author info and date --> 
                    <div class="author-info">
                        <span class="author-name"><?php the_author_meta('display_name');?>
                        <span>-</span></span>  
                        <span class="posted-date"><?php global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) ) ?>                       
                        </span>
                    </div><!-- /.author-info -->
              </div><!-- /.big-post-content-->
     </div><!-- /.big-posts -->    
    <?php
      endwhile;  
      endif;
  wp_reset_postdata(); ?>
 </div><!-- /.big-post-wrapper -->
  <?php }

  if ( get_query_var( 'paged' ) ) {
      $paged = get_query_var('paged');
  } elseif ( get_query_var( 'page' ) ) {
      $paged = get_query_var('page');
  } else {
      $paged = 1;
  }

  $offset2 = (int)$module_offset + ( (int)$paged - 1 ) * (int)$ampforwp_category_count2;
  $args2 = array(
      'posts_per_page' => $ampforwp_category_count2, 
      'paged'               => esc_attr($paged),
      'post__not_in' => $exclude_ids,
      'has_password' => false,
      'post_status'=> 'publish'
  );

  if(!empty($module_offset)){
    $args2['offset'] = esc_attr( $offset2 );
  }

  if($ampforwp_category_id){
    $args2['cat'] = $ampforwp_category_id;
  }

  if(!empty($ampforwp_cpt_taxonomy) && $ampforwp_cpt_taxonomy!=''){
     $args2['taxonomy']= $ampforwp_cpt_taxonomy;
    }
  if(!empty($ampforwp_cpt) && $ampforwp_cpt!=''){
     $args2['post_type']=$ampforwp_cpt;
  }

  if(!empty($ampforwp_category_id) && $ampforwp_category_id!==''){
      $args['category']= $ampforwp_category_id;
  }
     
    // The Query
  $the_query2 = new WP_Query( $args2 );?>
<?php if (!empty($ampforwp_category_count2)) { ?>
  <!-- "small-post-wrapper" -->
 <div class="s-p-w">
      <?php // The Loop
        if ( $the_query2->have_posts() ) : while ( $the_query2->have_posts() ) : $the_query2->the_post();
        global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
        if($subdomain_checker == 1){
         $ampforwp_post_url =  ampforwp_font_url(trailingslashit( get_permalink() )); 
        }else{
         $ampforwp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;
       }?>
         <?php if ( ampforwp_has_post_thumbnail() ) { ?>
                  <?php
                  // $thumb_id = get_post_thumbnail_id();
                //  $thumb_url_array = wp_get_attachment_image_src($thumb_id, 'medium', true);
                  $thumb_url = ampforwp_get_post_thumbnail('url' , 'full');
                   $thumb_width   = ampforwp_get_post_thumbnail('width','thumbnail');
                  $thumb_height   = ampforwp_get_post_thumbnail('height','thumbnail');
                  ?>                  
                <div class="small-post">  
                <?php if($thumb_url){    ?>        
                   <div class="small-post-img">
                        <a href="<?php echo $ampforwp_post_url ;?>" aria-label="smallpostimg">
                          <amp-img  class="small-post-img"  
                          src="<?php echo esc_url($thumb_url); ?>"
                          <?php ampforwp_thumbnail_alt(); ?> 
                          width="<?php echo $thumb_width; ?>"
                          height="<?php echo $thumb_height; ?>" 
                          layout=responsive alt="small-post-img">                   
                          </amp-img>
                        </a>
                    </div> <?php } ?><!-- /.small-post-img -->
                    <div class="small-post-content">                     
                       <a href="<?php echo $ampforwp_post_url ;?>"><?php the_title(); ?>
                       </a>                 
                    </div><!-- /.small-post-content-->                    
                </div><!-- /.small-post-wrapper -->              
                 <?php  } ?>
    <?php endwhile;  
    endif;?>    
  </div> <?php } 
  //show more button code start here...

  if( $ampforwp_block_2_cat_link === 'yes' && ! empty( $ampforwp_category_id ) ) { 

    $block_2_cat_link = '<a class="amp-category-block1-btn" href="'.ampforwp_url_controller(get_category_link( $ampforwp_category_id) ).'">' . $button_text . '</a>';
    echo  $block_2_cat_link ;
          
  }
  elseif( $ampforwp_block_2_cat_link === 'no' ) {
    $block_2_cat_link = '';
    echo  $block_2_cat_link ;
  }
  else { ?>
    <div style="clear:both;"></div> 
    <div class="amp-recent-category-block1-btn"> <?php 
        global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
        if($subdomain_checker == 1){
        echo ampforwp_font_url( get_next_posts_link( $button_text ,$the_query2->max_num_pages ) );
      }
      else{
        echo get_next_posts_link( $button_text ,$the_query2->max_num_pages );
      }  
         ?>
      
    </div>
    <?php
  } ?>
</div> 
<?php         
 wp_reset_query() ; 
}

  // Create the admin area widget settings form.
  public function form( $instance ) {

    // Declarations for all the values to be stored
   
    $selected_category = ! empty( $instance['category'] ) ? $instance['category'] : '';
    //$ampforwp_category_count = ! empty( $instance['count'] ) ? $instance['count'] : 1 ;
    $ampforwp_cpt_taxonomy= ! empty( $instance['review'] ) ? $instance['review'] :'' ;
    $ampforwp_cpt= ! empty( $instance['portfolio'] ) ? $instance['portfolio'] : '';
    $radio_buttons = ! empty( $instance['showButton'] ) ? $instance['showButton'] : 'yes';
    $button_text = ! empty( $instance['button_text'] ) ? $instance['button_text'] : 'Edit Button Text';

    if ( isset( $instance[ 'count' ] ) ) {
            $ampforwp_category_count = $instance[ 'count' ];
        }else { $ampforwp_category_count = '1'; }  
    //$ampforwp_category_count2 = ! empty( $instance['count2'] ) ? $instance['count2'] : 4 ;
    if ( isset( $instance[ 'count2' ] ) ) {
            $ampforwp_category_count2 = $instance[ 'count2' ];
        }else { $ampforwp_category_count = '4'; }
    if ( isset( $instance[ 'module_offset2' ] ) ) {
            $module_offset2 = $instance[ 'module_offset2' ];
       } else {
           $module_offset2 = '0'; }
      if ( isset( $instance[ 'module_offset' ] ) ) {
            $module_offset = $instance[ 'module_offset' ];
        } else {
            $module_offset = '1'; }  
    ?>
    
    <!-- Form Ends Here -->      
        <!-- select Start Here -->
         <p>
          <label for="<?php echo esc_attr( $this->get_field_id( 'category' ) ); ?>"><?php echo __('Category:','accelerated-mobile-pages') ?>
          <select id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>" class="widefat" value>
            <?php

              $categories = get_categories( array(
                  'orderby' => 'name',
                  'order'   => 'ASC'
              ) );

              echo '<option selected value="none">Recent Posts (Select) </option>';
              foreach( $categories as $category ) {
                 echo '<option '. selected( $instance['category'], $category->term_id) . ' value="'. $category->term_id . '">' . $category->name . '</option>';
               } ?>
          </select>
          </label>
         </p>
        <!-- select End Here -->
        <!-- text starts Here for big post -->
        <p>       
          <label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php echo __('Number of Big Posts:','accelerated-mobile-pages') ?>
          <input class="widefat" type="number" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo esc_attr( $ampforwp_category_count ); ?>" />
          </label>
        </p>
        <!-- text End Here for big post -->
        <!-- text starts Here for Offset big post -->
        <p>
            <label for="<?php echo $this->get_field_id( 'module_offset2' ); ?>"><?php echo __('Offset for Big Post:','accelerated-mobile-pages') ?>
            <input placeholder="0" class="widefat" id="<?php echo $this->get_field_id( 'module_offset2' ); ?>" name="<?php echo $this->get_field_name( 'module_offset2' ); ?>" type="text" value="<?php echo esc_attr( $module_offset2 ); ?>" />
            </label> 
        </p>
        <!-- text End Here for Offset big post -->
        <!-- text starts Here for Small post -->
          <p>       
          <label for="<?php echo $this->get_field_id( 'count2' ); ?>"><?php echo __('Number of Small Posts:','accelerated-mobile-pages') ?>
          <input class="widefat" type="number" id="<?php echo $this->get_field_id( 'count2' ); ?>" name="<?php echo $this->get_field_name( 'count2' ); ?>" value="<?php echo esc_attr( $ampforwp_category_count2 ); ?>" />
          </label>
        </p>
        <!-- text End Here for Small post -->
        <!-- text starts Here for Offset small post -->
        <p>
            <label for="<?php echo $this->get_field_id( 'module_offset' ); ?>"><?php echo __('Offset for Small Post:','accelerated-mobile-pages') ?>
            <input placeholder="0" class="widefat" id="<?php echo $this->get_field_id( 'module_offset' ); ?>" name="<?php echo $this->get_field_name( 'module_offset' ); ?>" type="text" value="<?php echo esc_attr( $module_offset ); ?>" />
            </label> 
        </p>
        <!-- text End Here for Offset small post -->

          <!-- Custom Post Type text start from here -->
         <p>
           <label for="<?php echo $this->get_field_id('portfolio' ); ?>"><?php echo __('Post Type','accelerated-mobile-pages') ?>
                <input class="widefat" id="<?php echo $this->get_field_id('portfolio'); ?>" 
                  name="<?php echo $this->get_field_name('portfolio' ); ?>" type="text" 
                  value="<?php echo esc_attr($ampforwp_cpt); ?>" />
           </label>
        </p>
        <!-- Custom Post Type text ends  here-->
         <p>
           <label for="<?php echo $this->get_field_id('review' ); ?>"><?php echo __('Taxonomy','accelerated-mobile-pages') ?> 
                <input class="widefat" id="<?php echo $this->get_field_id('review' ); ?>" 
                  name="<?php echo $this->get_field_name('review' ); ?>" type="text" 
                  value="<?php echo esc_attr($ampforwp_cpt_taxonomy ); ?>" />
           </label>
        </p>

    <!--- Custom Post Type Taxnomy ends  here--> 
        <label for="<?php echo $this->get_field_id( 'showButton' ); ?>" value="<?php  echo esc_attr( $ampforwp_title );?>"><?php echo __('Show View more Button:','accelerated-mobile-pages') ?></label><br></br>
        <label for="<?php echo $this->get_field_id('show_button_1'); ?>">
          <input data-id="widefat-2587" class="widefat" id="<?php echo $this->get_field_id('show_button_1'); ?>" name="<?php echo $this->get_field_name('showButton'); ?>" type="radio" value="yes" <?php if($radio_buttons === 'yes'){ echo 'checked="checked"'; } ?> /><?php echo __('Yes ','accelerated-mobile-pages'); ?>
        </label>

        <label for="<?php echo $this->get_field_id('show_button_2'); ?>">
          <input data-id="widefat-2587" class="widefat" id="<?php echo $this->get_field_id('show_button_2'); ?>" name="<?php echo $this->get_field_name('showButton'); ?>" type="radio" value="no" <?php if($radio_buttons === 'no'){ echo 'checked="checked"'; } ?> /><?php echo __(' No','accelerated-mobile-pages'); ?>
        </label></br></br>

        <?php if($radio_buttons === 'yes') { 
         echo '<p class="widefat-textbox">';
        }else{
         echo '<p class="widefat-textbox" style="display:none;">';    
        }
        ?>   

         <label for="<?php echo $this->get_field_id('button_text'); ?>"><?php echo __('Title of button','accelerated-mobile-pages') ?> 
              <input class="widefat" id="<?php echo $this->get_field_id('button_text'); ?>" 
                name="<?php echo $this->get_field_name('button_text'); ?>" type="text" 
                value="<?php echo esc_attr($button_text); ?>" />
         </label>
     
        </p>
  <script type='text/javascript'>
    jQuery(document).ready(function($) {

       $("input:radio[data-id=widefat-2587]").on('click',function(){
       var val = $(this).val()
       if(val == 'yes'){
       $(".widefat-textbox").show();  
       }
       if(val == 'no'){
       $(".widefat-textbox").hide(); 
       }
       })

      var getFieldtID = "<?php echo esc_attr($this->get_field_id('title-bg-color') );?>";

      $(document).on('widget-added', function(e){  
            $('#'+getFieldtID).wpColorPicker();
      });

      $('#'+ getFieldtID ).wpColorPicker();
      $(document).on('live', function(){
          $('#'+getFieldtID).wpColorPicker();
      });
    } );         
  </script> 
    <!-- Form Ends Here -->
  <?php
  }

  // Apply settings to the widget instance.
  public function update( $new_instance, $old_instance ) {
    $instance = $old_instance;
   
    $instance[ 'count' ] = strip_tags( $new_instance[ 'count' ] );
    $instance[ 'count2' ] = strip_tags( $new_instance[ 'count2' ] );
    $instance['showButton'] = strip_tags($new_instance['showButton']);
    $instance['button_text'] = strip_tags($new_instance['button_text']);
    

    if( strip_tags( $new_instance[ 'category' ] ) !== 'none' ) {
      $instance[ 'category' ] = strip_tags( $new_instance[ 'category' ] );
    } else {
      $instance[ 'category' ] = '';
    }

     $instance['module_offset2'] = ( ! empty( $new_instance['module_offset2'] ) ) ? strip_tags( $new_instance['module_offset2'] ) : '';

     $instance['module_offset'] = ( ! empty( $new_instance['module_offset'] ) ) ? strip_tags( $new_instance['module_offset'] ) : '';

    $instance['review'] = ( ! empty( $new_instance['review'] ) ) ? strip_tags( $new_instance['review'] ) : '';

    $instance['portfolio'] = ( ! empty( $new_instance['portfolio'] ) ) ? strip_tags( $new_instance['portfolio'] ) : '';
   
    return $instance;
  }

}

// Register the widget.
function ampforwp_theme1_register_categories_widget() {
  register_widget( 'AMPFORWP_Theme1_Categories_Widget' );
}
add_action( 'widgets_init', 'ampforwp_theme1_register_categories_widget' ); ?>