<?php 
class AMPFORWP_News_trending_Widget extends WP_Widget {
  // Set up the widget name and description.
  public function __construct() {
    $widget_options = array(
      'classname' => 'AMPFORWP_News_trending_Widget',
       'description' => __('This Widget adds News Ticker where necessary in AMP Theme Pages','accelerated-mobile-pages')
     );
    parent::__construct( 'ampforwp_news_trending_widget', __('AMP News Ticker','accelerated-mobile-pages'), $widget_options ) ;

    if (  is_active_widget( false, false, $this->id_base, true )  )   {
         add_filter( 'amp_post_template_data', array($this, 'add_script'),25 );
    }
    
  }

// args for the output of the form
  public $args = array(
          'id'            => 'uniqueid',
          'before_title'  => '<h4 class="widgettitle">',
          'after_title'   => '</h4>',
          'before_widget' => '<div class="widget-wrap">',
          'after_widget'  => '</div>'
      );

// Create the widget output.
  public function widget( $args, $instance ) {
 
    $ampforwp_category_count = $instance[ 'count' ];
    $ampforwp_category_id = $instance[ 'category' ];
    $text = $instance['text'];
    $exclude_ids = array();
     
    $args = array(

        'cat' => $ampforwp_category_id,
        'posts_per_page' => $ampforwp_category_count, 
        'post__not_in' => $exclude_ids,
        'has_password' => false,
        'post_status'=> 'publish'
    );

    // The Query
    $the_query = new WP_Query( $args );?>

<div class="trending-wrapper">
    <!-- /.trending-title -->
    <div class="trending-title">
        <?php if (!empty($text)){
                  echo $text; } ?>                   
    </div>   
     <div class="amp-textslider">
           <amp-carousel height="50"
                        layout="fixed-height"
                        type="slides" autoplay
                        delay="3500">
<?php
    // The Loop
    if ( $the_query->have_posts() ) : while ( $the_query->have_posts() ) : $the_query->the_post();
         $ampforwp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;
         ?>

                              <div class="trendingtext-slider">
                                      <a href="<?php echo $ampforwp_post_url;?>">        <?php the_title(); ?>
                                      </a>
                              </div>
    <?php
      endwhile;  
      endif;?>
            </amp-carousel>

      </div><!-- /.amp-slider -->                 
                   
</div>
<?php         
 wp_reset_query() ; 
}

  // Create the admin area widget settings form.
  public function form( $instance ) {

    // Declarations for all the values to be stored
   
    $selected_category = ! empty( $instance['category'] ) ? $instance['category'] : '';
    $ampforwp_category_count = ! empty( $instance['count'] ) ? $instance['count'] : 4 ; 
    $text = ! empty( $instance['text'] ) ? $instance['text'] : "TRENDING NOW" ;  
    ?>
    <!-- Form Ends Here -->      
        <!-- select Start Here -->
         <p>
          <label for="<?php echo esc_attr( $this->get_field_id( 'category' ) ); ?>"><?php echo __('Category:','accelerated-mobile-pages') ?>
          <select id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>" class="widefat" value>
            <?php

              $categories = get_categories( array(
                  'orderby' => 'name',
                  'order'   => 'ASC'
              ) );

              echo '<option selected value="none">Recent Posts (Select) </option>';
              foreach( $categories as $category ) {
                 echo '<option '. selected( $instance['category'], $category->term_id) . ' value="'. $category->term_id . '">' . $category->name . '</option>';
               } ?>
          </select>
          </label>
         </p>
        <!-- select End Here -->
        <!-- title text start Here -->
        <p>
           <label for="<?php echo $this->get_field_id('text'); ?>"><?php echo __('Trending Label','accelerated-mobile-pages') ?> 
                <input class="widefat" id="<?php echo $this->get_field_id('text'); ?>" 
                  name="<?php echo $this->get_field_name('text'); ?>" type="text" 
                  value="<?php echo esc_attr($text); ?>" />
           </label>
        </p>
        <!-- title text end Here -->
        <!-- text starts Here for big post -->
        <p>       
          <label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php echo __('Number of Trending Posts:','accelerated-mobile-pages') ?>
          <input class="widefat" type="number" id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo esc_attr( $ampforwp_category_count ); ?>" />
          </label>
        </p>
        <!-- text End Here for big post -->        
    <!-- Form Ends Here -->
    <?php
  }

  // Apply settings to the widget instance.
  public function update( $new_instance, $old_instance ) {
    $instance = $old_instance;
   
    $instance[ 'count' ] = strip_tags( $new_instance[ 'count' ] );
     $instance[ 'text' ] = strip_tags( $new_instance[ 'text' ] );

    if( strip_tags( $new_instance[ 'category' ] ) !== 'none' ) {
      $instance[ 'category' ] = strip_tags( $new_instance[ 'category' ] );
    } else {
      $instance[ 'category' ] = '';
    }
   
    return $instance;
  }


  public  function add_script( $data ) { 

      if ( is_home() || is_page() ) {
       if ( empty( $data['amp_component_scripts']['amp-carousel'] ) ) {
              $data['amp_component_scripts']['amp-carousel'] = 'https://cdn.ampproject.org/v0/amp-carousel-0.1.js';
        }
      }
      return $data;
  }

}

// Register the widget.
function ampforwp_news_register_trending_widget() {
  register_widget( 'AMPFORWP_News_Trending_Widget' );
}
add_action( 'widgets_init', 'ampforwp_news_register_trending_widget' ); ?>